---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libObjectMonitorUsage.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1ED80, symBinAddr: 0x3030, symSize: 0x0 }
  - { offsetInCU: 0x8CB2, offset: 0x8CB2, size: 0x8, addend: 0x0, symName: __ZL9check_idx, symObjAddr: 0x1ED88, symBinAddr: 0x3038, symSize: 0x0 }
  - { offsetInCU: 0x8CCB, offset: 0x8CCB, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1ED8C, symBinAddr: 0x303C, symSize: 0x0 }
  - { offsetInCU: 0x8CEB, offset: 0x8CEB, size: 0x8, addend: 0x0, symName: __ZL14tested_monitor, symObjAddr: 0x1ED90, symBinAddr: 0x3040, symSize: 0x0 }
  - { offsetInCU: 0x8D50, offset: 0x8D50, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0xA80, symSize: 0x30 }
  - { offsetInCU: 0x90E5, offset: 0x90E5, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xE10, symBinAddr: 0xAB0, symSize: 0x100 }
  - { offsetInCU: 0x92C4, offset: 0x92C4, size: 0x8, addend: 0x0, symName: _Agent_Initialize.cold.3, symObjAddr: 0x1650, symBinAddr: 0x12F0, symSize: 0x3B }
  - { offsetInCU: 0x92F0, offset: 0x92F0, size: 0x8, addend: 0x0, symName: _Agent_Initialize.cold.2, symObjAddr: 0x1610, symBinAddr: 0x12B0, symSize: 0x40 }
  - { offsetInCU: 0x931C, offset: 0x931C, size: 0x8, addend: 0x0, symName: _Agent_Initialize.cold.1, symObjAddr: 0x15D0, symBinAddr: 0x1270, symSize: 0x40 }
  - { offsetInCU: 0x9348, offset: 0x9348, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xF10, symBinAddr: 0xBB0, symSize: 0x10 }
  - { offsetInCU: 0x939E, offset: 0x939E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xF20, symBinAddr: 0xBC0, symSize: 0x10 }
  - { offsetInCU: 0x94DD, offset: 0x94DD, size: 0x8, addend: 0x0, symName: _Java_ObjectMonitorUsage_check, symObjAddr: 0xF30, symBinAddr: 0xBD0, symSize: 0x4F0 }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _Java_ObjectMonitorUsage_setTestedMonitor, symObjAddr: 0x1420, symBinAddr: 0x10C0, symSize: 0x50 }
  - { offsetInCU: 0x9D64, offset: 0x9D64, size: 0x8, addend: 0x0, symName: _Java_ObjectMonitorUsage_ensureBlockedOnEnter, symObjAddr: 0x1470, symBinAddr: 0x1110, symSize: 0xB0 }
  - { offsetInCU: 0x9EEB, offset: 0x9EEB, size: 0x8, addend: 0x0, symName: _Java_ObjectMonitorUsage_ensureWaitingToBeNotified, symObjAddr: 0x1520, symBinAddr: 0x11C0, symSize: 0xA0 }
  - { offsetInCU: 0xA071, offset: 0xA071, size: 0x8, addend: 0x0, symName: _Java_ObjectMonitorUsage_getRes, symObjAddr: 0x15C0, symBinAddr: 0x1260, symSize: 0x10 }
...
